Add masterbox to a screening
curl --request POST \
--url https://api.maalbar.dk/v1/screenings/{screeningPublicId}/packaging/masterbox \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"publicId": "item_xxxxxxxxxxxx",
"label": "<string>",
"designedForDisassembly": false,
"amount": 1,
"fields": [
{
"publicId": {},
"locationPublicId": {},
"additional": {
"proportion": 123,
"recycleShare": 123,
"materialUnits": {
"DTex": 123
}
}
}
],
"functionalUnitValue": 123,
"productionWaste": 123,
"width": 123,
"height": 123,
"depth": 123,
"pallet": {
"amountPerPallet": 1,
"publicId": "pallet_xxxxxxxxxxxx",
"width": 123,
"height": 123,
"depth": 123,
"functionalUnitValue": 123
}
}
'const url = 'https://api.maalbar.dk/v1/screenings/{screeningPublicId}/packaging/masterbox';
const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
publicId: 'item_xxxxxxxxxxxx',
label: '<string>',
designedForDisassembly: false,
amount: 1,
fields: [
{
publicId: {},
locationPublicId: {},
additional: {proportion: 123, recycleShare: 123, materialUnits: {DTex: 123}}
}
],
functionalUnitValue: 123,
productionWaste: 123,
width: 123,
height: 123,
depth: 123,
pallet: {
amountPerPallet: 1,
publicId: 'pallet_xxxxxxxxxxxx',
width: 123,
height: 123,
depth: 123,
functionalUnitValue: 123
}
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}Packagings
Add masterbox to a screening
POST
/
screenings
/
{screeningPublicId}
/
packaging
/
masterbox
Add masterbox to a screening
curl --request POST \
--url https://api.maalbar.dk/v1/screenings/{screeningPublicId}/packaging/masterbox \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"publicId": "item_xxxxxxxxxxxx",
"label": "<string>",
"designedForDisassembly": false,
"amount": 1,
"fields": [
{
"publicId": {},
"locationPublicId": {},
"additional": {
"proportion": 123,
"recycleShare": 123,
"materialUnits": {
"DTex": 123
}
}
}
],
"functionalUnitValue": 123,
"productionWaste": 123,
"width": 123,
"height": 123,
"depth": 123,
"pallet": {
"amountPerPallet": 1,
"publicId": "pallet_xxxxxxxxxxxx",
"width": 123,
"height": 123,
"depth": 123,
"functionalUnitValue": 123
}
}
'const url = 'https://api.maalbar.dk/v1/screenings/{screeningPublicId}/packaging/masterbox';
const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
publicId: 'item_xxxxxxxxxxxx',
label: '<string>',
designedForDisassembly: false,
amount: 1,
fields: [
{
publicId: {},
locationPublicId: {},
additional: {proportion: 123, recycleShare: 123, materialUnits: {DTex: 123}}
}
],
functionalUnitValue: 123,
productionWaste: 123,
width: 123,
height: 123,
depth: 123,
pallet: {
amountPerPallet: 1,
publicId: 'pallet_xxxxxxxxxxxx',
width: 123,
height: 123,
depth: 123,
functionalUnitValue: 123
}
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}Authorizations
Path Parameters
Body
application/json
Required string length:
16Example:
"item_xxxxxxxxxxxx"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Bad Request
Example:
"Invalid request parameters"